Subject: Re: Requesting suggestions for a good sample "prepare-commit-msg" hook

From: Kaartic Sivaraam <[email-masked]>
Date: Thu, 06 Jul 2017 08:58:12 +0530

On Wed, 2017-07-05 at 12:19 -0700, Junio C Hamano wrote:
> I honestly do not see your point.  Yes, I said that the change
> indicates that there is no useful example found (so far).  That does
> not necessarily mean that we must find a useful example so that we
> can keep this sample script, which now became useless, alive.  
> 
> I am questioning the assumption that it helps users to have a sample
> for prepare-commit-msg shipped with our source, and I suspect that
> it may no longer be true.  If the sole purpose of finding a useful
> example is to keep the sample script alive, when the sample script
> is no longer a useful thing to ship, then it does sound like "a
> solution looking for a problem", no?
> 
Ah, now I see your point. When you said "it's no longer useful", I
thought you were mentioning only the part of the script that commented
the sign-off. Now I get that your point of not shipping the sample
script itself. Now that clears the confusion and sorry for the
confusion I may have caused.

-- 
Kaartic